<!DOCTYPE html>

<html lang = "ru">
	<head>
		<title>Задание шестое</title>
		<meta charset="utf-8">
		<meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
		<link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/4.0.0/css/bootstrap.min.css"
					integrity="sha384-Gn5384xqQ1aoWXA+058RXPxPg6fy4IWvTNh0E263XmFcJlSAwiGgFAW/dAiS6JXm"
					crossorigin="anonymous">
		<link rel="stylesheet" href="main.css">
		<script src="script.js"></script>
	</head>

	<body class="container-fluid">

		<!--Шапка-->
		<header>
			<div class="container my-5">
				<div class="row justify-content-center">
					<div class="col-12 col-md-6 col-lg-5 mb-5 mb-md-0 align-self-center">
						<img class="logo rounded mx-auto d-block img-fluid" alt="picture" src="http://64.media.tumblr.com/615ab394332ea029297c4c3a36292512/5f2ee4349161ef9f-36/s2048x3072_c14444,0,100000,64201/3222f808c2247ce1ae937d5b0a6bbb41423fa8c8.gif"/>
					</div>
					<div class="col-12 col-md-6 col-lg-5 align-self-center text-center">
						<h1>DANCING IN THE DARK</h1>
					</div>
				</div>
			</div>
		</header>

		<!--Разделяющая линия-->
		<div class="row justify-content-center mx-2">
			<div class="col-12 col-lg-9 line">
			</div>
		</div>

		<!--Навигационное меню-->
		<div class="row justify-content-center mx-2">
			<div class="col-12 col-lg-9">
				<nav class="navbar navbar-expand-sm justify-content-center py-4">
						<div class="navbar-nav align-items-center">
							<a class="nav-item px-2" href="#hyperlinks">Hyperlinks</a>
							<a class="nav-item px-2" href="#table">Table</a>
							<a class="nav-item px-2" href="#form">Form</a>
							<a class="nav-item px-2" href="#calculator1">Calculator1</a>
							<a class="nav-item px-2" href="#calculator2">Calculator2</a>
						</div>
				</nav>
			</div>
		</div>

		<!--Разделяющая линия-->
		<div class="row justify-content-center mx-2 pb-5">
			<div class="col-12 col-lg-9 line">
			</div>
		</div>


		<!--Блок гиперссылок-->
		<h2 class="text-center pb-4"><a href="" id="hyperlinks">Гиперссылки</a></h2>
		<div class="row justify-content-center mx-md-2">
			<div class="col-12 col-lg-9 pb-5">
				<ol>
					<li> <a href="http://example.com" >Абсолютная гиперссылка на главную страницу сайта</a> </li>
					<li> <a href="https://example.com">Абсолютная ссылка на главную сайта example.com в протоколе https</a> </li>
					<li> <a href="ftp://example.com/file1.txt">Ссылка на файл на сервере FTP без авторизации</a> </li>
					<li> <a href="ftp://user:password@example.com/file1.txt">Ссылка на файл на сервере FTP с авторизацией</a> </li>
					<li> <a href="http://example.com/otherexample#anchor">Ссылка на фрагмент страницы некоторого сайта</a> </li>
					<li> <a href="#anchor">Ссылка на фрагмент текущей страницы</a></li>
					<li> <a href="http://example.com/?parametr1=value1&parametr2=value2">Ссылка с двумя параметрами в URL</a> </li>
					<li>
						<ul>
							<li> <a href="https://www.ozon.ru/category/supermarket-25000/" title="Озон супермаркет">Супермаркет</a> </li>
							<li> <a href="https://www.ozon.ru/brand/" title="Озон бренды">Бренды</a> </li>
							<li> <a href="https://www.ozon.ru/category/knigi-16500/" title="Озон книги">Книги</a> </li>
						</ul>
					</li>
					<li> <a>Ссылка без href </a> </li>
					<li> <a href="">Ссылка с пустым href</a> </li>
					<li> <a href="https://www.ozon.ru/category/supermarket-25000/" rel="nofollow">Ссылка, по которой запрещен переход поисковикам</a> </li>
					<li>
							<a href="https://www.ozon.ru/category/supermarket-25000/" rel="noindex">Запрещенная для индексации поисковиками</a>
					</li>
					<li>
						<p>
							<span>
								Интернет магазин <a href="https://www.ozon.ru">Ozon</a> один из ведущих ретейлеров в России.
							</span>
						</p>
					</li>
					<li> <img width="100" height="100" src="https://res-5.cloudinary.com/crunchbase-production/image/upload/c_lpad,h_256,w_256,f_auto,q_auto:eco/azo1jqw6xh658dpcvyge" alt="Ссылка-изображение" /> </li>
					<li>
						<img width="100" height="100" src="https://pbs.twimg.com/profile_images/643832080435179520/6KshhtQn.jpg" alt="Ссылка на изображение" usemap="#somemap">
						<map name="somemap">
							<area shape="rect" coords="10,10,50,25" href="https://yandex.ru" alt="Это прямоугольная область" >
							<area shape="circle" coords="100,100,50" href="https://google.com" alt="Это круглая область" >
						</map>
					</li>
					<li> <a href="./news">Относительная ссылка на страницу в текущем каталоге</a> </li>
					<li> <a href="./about/news">Относительная ссылка на страницу в каталоге about</a> </li>
					<li> <a href="../about">Относительная ссылка на страницу в каталоге уровнем выше текущего</a> </li>
					<li> <a href="../../about">Относительная ссылка на страницу в каталоге двумя уровнями выше текущего</a> </li>
					<li> <a href="/">Сокращенная ссылка на главную</a> </li>
					<li> <a href="/about">Сокращенная ссылка на внутреннюю</a> </li>
				</ol>
			</div>
		</div>

		<!--Разделяющая линия-->
		<div class="row justify-content-center mx-2">
			<div class="col-12 col-lg-9 line">
			</div>
		</div>

		<!--Блок таблицы-->
		<h2 class="text-center py-4"><a href="" id="table">Таблица</a></h2>
		<div class="row justify-content-center mx-2">
			<div class="col-auto pb-5">
				<table>
					<tbody>
						<tr>
							<th>Colomn 1</th>
							<th>Colomn 2</th>
							<th>Colomn 3</th>
						</tr>
						<tr>
							<td colspan="3">Cells 11-12-13</td>
						</tr>
						<tr class="even">
							<td>Cell 21</td>
							<td>Cell 22</td>
							<td>Cell 23</td>
						</tr>
						<tr>
							<td>Cell 31</td>
							<td>Cell 32</td>
							<td>Cell 33</td>
						</tr>
						<tr class="even">
							<td>Cell 41</td>
							<td>Cell 42</td>
							<td>Cell 43</td>
						</tr>
						<tr>
							<td>Cell 51</td>
							<td>Cell 52</td>
							<td>Cell 53</td>
						</tr>
					</tbody>
				</table>
			</div>
		</div>

		<!--Разделяющая линия-->
		<div class="row justify-content-center mx-2">
			<div class="col-12 col-lg-9  line">
			</div>
		</div>

		<!--Форма-->
		<h2 class="text-center py-4"><a href="" id="form">Форма</a></h2>
			<div class="row justify-content-center mx-2">
				<div class="col-12 col-md-8 col-lg-4  pb-5">
					<form action="http://example.com" method="POST">


						<label class="col-form-label" >Имя и фамилия</label>
						<div class="row">
					    <div class="col">
					      <input type="text" class="form-control" placeholder="Иван">
					    </div>
					    <div class="col">
					      <input type="text" class="form-control" placeholder="Иванов">
					    </div>
					  </div>

						<div class="form-group">
    					<label class="col-form-label" for="exampleFormControlInput1">Email address</label>
    					<input type="email" class="form-control" id="exampleFormControlInput1" placeholder="name@example.com">
  					</div>

						<div class="form-group">
					    <label class="col-form-label" for="inputDate">Дата рождения:</label>
					    <input type="date" class="form-control" id="inputDate">
					  </div>

						<label class="col-form-label">Пол:</label><br />
						<div class="form-check form-check-inline">
						  <input class="form-check-input" type="radio" name="sexOptions" id="inlineRadio1" value="option1">
						  <label class="form-check-label" for="inlineRadio1">М</label>
						</div>
						<div class="form-check form-check-inline">
						  <input class="form-check-input" type="radio" name="sexOptions" id="inlineRadio2" value="option2">
						  <label class="form-check-label" for="inlineRadio2">Ж</label>
						</div><br />

						<label class="col-form-label">Количество конечностей:</label><br />
						<div class="form-check form-check-inline">
						  <input class="form-check-input" type="radio" name="inlineRadioOptions" id="Radio1" value="option1">
						  <label class="form-check-label" for="Radio1">0</label>
						</div>
						<div class="form-check form-check-inline">
						  <input class="form-check-input" type="radio" name="inlineRadioOptions" id="Radio2" value="option2">
						  <label class="form-check-label" for="Radio2">1</label>
						</div>
						<div class="form-check form-check-inline">
						  <input class="form-check-input" type="radio" name="inlineRadioOptions" id="Radio3" value="option3">
						  <label class="form-check-label" for="Radio3">2</label>
						</div>
						<div class="form-check form-check-inline">
						  <input class="form-check-input" type="radio" name="inlineRadioOptions" id="Radio4" value="option4">
						  <label class="form-check-label" for="Radio4">3</label>
						</div>
						<div class="form-check form-check-inline">
						  <input class="form-check-input" type="radio" name="inlineRadioOptions" id="Radio5" value="option5">
						  <label class="form-check-label" for="Radio5">4</label>
						</div><br /><br />

						<div class="form-group">
					    <label class="col-form-label" for="exampleFormControlSelect2">Сверхспособности:</label>
					    <select multiple class="form-control" id="exampleFormControlSelect2">
					      <option>Бессмертие</option>
					      <option>Прохождение сквозь стены</option>
					      <option>Левитация</option>
					    </select>
					  </div>

						<div class="form-group">
					    <label class="col-form-label" for="exampleFormControlTextarea1">Биография:</label>
					    <textarea class="form-control" id="exampleFormControlTextarea1" rows="3" placeholder="Введите текст"></textarea>
					  </div>

						<div class="form-check form-check-inline">
						  <input class="form-check-input" type="checkbox" id="inlineCheckbox1" value="option1">
						  <label class="col-form-label form-check-label" for="inlineCheckbox1">С контрактом ознакомлен</label>
						</div><br />

						<button type="submit" class="btn btn-primary">Отправить</button>

					</form>
				</div>
			</div>

		<!--Разделяющая линия-->
		<div class="row justify-content-center mx-2">
			<div class="col-12 col-lg-9  line">
			</div>
		</div>

		<!--Калькулятор-->
		<h2 class="text-center py-4"><a href="" id="calculator1">Калькулятор</a></h2>
		<div class="row justify-content-center mx-2">
			<div class="col-12 col-md-8 col-lg-4">
						<label>Введите цену и количество:  </label>
						<form>
							<input name="field1" type="text" placeholder="Цена">
							<input name="field2" type="text" placeholder="Количество">
							<button id="button1" onclick="return click1();">Подсчет</button>
						</form>
			</div>
			<div class="w-100"></div>
			<div class="col-12 col-md-8 col-lg-4 pb-5">
				<div class="row justify-content-start">
					<div class="col-4">
						<div class="form-group">
							<label class="col-form-label" for="result">Стоимость:</label>
							<textarea class="form-control" id="result" rows="1" placeholder="Итог" style="font-size: 22px" readonly></textarea>
						</div>
					</div>
				</div>
			</div>
		</div>

		<!--Разделяющая линия-->
		<div class="row justify-content-center mx-2">
			<div class="col-12 col-lg-9  line">
			</div>
		</div>

		<!--Сложный калькулятор -->
		<h2 class="text-center py-4"><a href="" id="calculator2">Сложный калькулятор</a></h2>
		<div class="row justify-content-center mx-2">
			<div class="col-12 col-md-8 col-lg-4">
				<form>
					<label class="col-form-label" for="item">Тип товара: </label>
					<select class="form-control" id="item" onchange="itemChange()" style="font-size: 20px;">
						<option disabled>Выберете товар</option>
						<option value="item1" selected>Кола</option>
						<option value="item2">Картошка фри</option>
						<option value="item3">Бургер</option>
					</select>
					<div id="chosenItem"></div>
				</form>
			</div>
			<div class="w-100"></div>
			<div class="col-12 col-md-8 col-lg-4 form-group">
				<label class="col-form-label" for="price">Цена:</label>
				<textarea class="form-control" id="price" rows="1" placeholder="Цена" style="font-size: 22px" readonly></textarea>
				<label>Введите количество:  </label>
				<form>
					<input name="amount" type="text" placeholder="Количество">
					<button id="button2" onclick="return click3()">Подсчет</button>
				</form>
				<div class="form-group">
					<label class="col-form-label" for="total">Стоимость:</label>
					<textarea class="form-control" id="total" rows="1" placeholder="Итог" style="font-size: 22px" readonly></textarea>
				</div>
			</div>
		</div>

		<div id="item1" style="display: none"></div>
		<div id="item2" style="display: none">
			<div class="form-check form-check-inline">
				<input class="form-check-input" type="radio" name="friesSize" id="fries1" value="small" onclick="click2()">
				<label class="form-check-label" for="fries1">Маленькая</label>
			</div>
			<div class="form-check form-check-inline">
				<input class="form-check-input" type="radio" name="friesSize" id="fries2" value="middle" onclick="click2()">
				<label class="form-check-label" for="fries2">Средняя</label>
			</div>
			<div class="form-check form-check-inline">
				<input class="form-check-input" type="radio" name="friesSize" id="fries3" value="big" onclick="click2()">
				<label class="form-check-label" for="fries3">Большая</label>
			</div>
		</div>
		<div id="item3" style="display: none">
			<div class="form-check form-check-inline">
				<input class="form-check-input" type="radio" name="burgerMeat" id="meat" value="meat" onclick="click2()">
				<label class="form-check-label" for="meat">С мясом</label>
			</div>
			<div class="form-check form-check-inline">
				<input class="form-check-input" type="radio" name="burgerMeat" id="noMeat" value="noMeat" onclick="click2()">
				<label class="form-check-label" for="noMeat">Без мяса</label>
			</div>
			<div class="form-check form-check-inline">
				<input class="form-check-input" type="checkbox" id="cheese" value="cheese" onclick="click2()">
				<label class="col-form-label form-check-label" for="cheese">Добавить сыр</label>
			</div>
		</div>



		<!--Разделяющая линия-->
		<div class="row justify-content-center mx-2 mt-5">
			<div class="col line">
			</div>
		</div>

		<!--Футер-->
		<footer class="container-fluid my-4">
			<h3 class="text-center">(с) Титова Юлия 2020</h3>
		</footer>
	</body>
</html>
